> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypulse.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscriptions



## OpenAPI

````yaml GET /api/v1/subscriptions
openapi: 3.1.0
info:
  title: Paypulse
  description: Subscription billing platform with Nomba payment integration
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/subscriptions:
    get:
      tags:
        - subscriptions
      summary: List Subscriptions
      operationId: list_subscriptions_api_v1_subscriptions_get
      parameters:
        - name: status_filter
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SubscriptionStatus'
              - type: 'null'
            title: Status Filter
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SubscriptionResponse'
                title: Response List Subscriptions Api V1 Subscriptions Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SubscriptionStatus:
      type: string
      enum:
        - ACTIVE
        - PAST_DUE
        - CANCELLED
        - PAUSED
        - TRIALING
        - EXPIRED
      title: SubscriptionStatus
    SubscriptionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        customer_email:
          type: string
          title: Customer Email
        plan_name:
          type: string
          title: Plan Name
        status:
          type: string
          title: Status
        amount:
          type: number
          title: Amount
        currency:
          type: string
          title: Currency
        interval:
          type: string
          title: Interval
        current_period_start:
          type: string
          format: date-time
          title: Current Period Start
        current_period_end:
          type: string
          format: date-time
          title: Current Period End
        cancelled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cancelled At
        cancel_at_period_end:
          type: boolean
          title: Cancel At Period End
        cancelled_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Cancelled By
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - customer_email
        - plan_name
        - status
        - amount
        - currency
        - interval
        - current_period_start
        - current_period_end
        - cancelled_at
        - cancel_at_period_end
        - cancelled_by
        - created_at
      title: SubscriptionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````